Skip to main content
POST
Create URL

Authorizations

x-client-id
string
header
required

Client ID. You can find your ID in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if IP is not whitelisted.

Body

application/json

Find the request parameters to create a DigiLocker URL to retrieve and verify aadhaar, pan, driving-license information.

verification_id
string
required

It is the unique ID you create to identify the API request. The maximum character limit is 50. Alphanumeric, period (.), hyphen (-). and underscore ( _ ) are allowed.

Example:

"ABC00123"

document_requested
enum<string>[]
required

It is the list of customer documents required for verification.

Available options:
AADHAAR,
PAN,
DRIVING_LICENSE
Example:
redirect_url
string

It is the URL you need to provide to redirect the user after completing the DigiLocker journey. It will contain the verification_id, which can be used to check the status of the verification.

Example:

"https://www.cashfree.com"

Response

Success response for creating a DigiLocker URL for document verification

verification_id
string

It displays the unique ID you created to identify this API request.

Example:

"ABC00123"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

12345

url
string

It displays the URL received to retrieve and verify aadhaar information from DigiLocker.

Example:

"https://verification-test.cashfree.com/dgl/h7562ci7us0"

status
string

It displays the status of the verification request.. Possible values are:

  • PENDING
Example:

"PENDING"

document_requested
enum<string>[]

It displays the list of documents requested for verification.

Available options:
AADHAAR,
PAN,
DRIVING_LICENSE
Example:
redirect_url
string

It displays the URL entered in the request that takes the user to after completing the DigiLocker journey.

Example:

"https://www.cashfree.com"